import { AutoScalingClient } from "../AutoScalingClient";
import { DescribePoliciesCommand, } from "../commands/DescribePoliciesCommand";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new DescribePoliciesCommand(input), ...args);
};
export async function* paginateDescribePolicies(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxRecords"] = config.pageSize;
        if (config.client instanceof AutoScalingClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected AutoScaling | AutoScalingClient");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
