import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  BatchDeleteScheduledActionAnswer,
  BatchDeleteScheduledActionType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface BatchDeleteScheduledActionCommandInput
  extends BatchDeleteScheduledActionType {}
export interface BatchDeleteScheduledActionCommandOutput
  extends BatchDeleteScheduledActionAnswer,
    __MetadataBearer {}
export declare class BatchDeleteScheduledActionCommand extends $Command<
  BatchDeleteScheduledActionCommandInput,
  BatchDeleteScheduledActionCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: BatchDeleteScheduledActionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BatchDeleteScheduledActionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    BatchDeleteScheduledActionCommandInput,
    BatchDeleteScheduledActionCommandOutput
  >;
  private serialize;
  private deserialize;
}
