import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  CancelInstanceRefreshAnswer,
  CancelInstanceRefreshType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CancelInstanceRefreshCommandInput
  extends CancelInstanceRefreshType {}
export interface CancelInstanceRefreshCommandOutput
  extends CancelInstanceRefreshAnswer,
    __MetadataBearer {}
export declare class CancelInstanceRefreshCommand extends $Command<
  CancelInstanceRefreshCommandInput,
  CancelInstanceRefreshCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: CancelInstanceRefreshCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CancelInstanceRefreshCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CancelInstanceRefreshCommandInput,
    CancelInstanceRefreshCommandOutput
  >;
  private serialize;
  private deserialize;
}
