import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  AutoScalingInstancesType,
  DescribeAutoScalingInstancesType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeAutoScalingInstancesCommandInput
  extends DescribeAutoScalingInstancesType {}
export interface DescribeAutoScalingInstancesCommandOutput
  extends AutoScalingInstancesType,
    __MetadataBearer {}
export declare class DescribeAutoScalingInstancesCommand extends $Command<
  DescribeAutoScalingInstancesCommandInput,
  DescribeAutoScalingInstancesCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeAutoScalingInstancesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAutoScalingInstancesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAutoScalingInstancesCommandInput,
    DescribeAutoScalingInstancesCommandOutput
  >;
  private serialize;
  private deserialize;
}
