import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import { DisableMetricsCollectionQuery } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DisableMetricsCollectionCommandInput
  extends DisableMetricsCollectionQuery {}
export interface DisableMetricsCollectionCommandOutput
  extends __MetadataBearer {}
export declare class DisableMetricsCollectionCommand extends $Command<
  DisableMetricsCollectionCommandInput,
  DisableMetricsCollectionCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DisableMetricsCollectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableMetricsCollectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisableMetricsCollectionCommandInput,
    DisableMetricsCollectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
