import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  GetPredictiveScalingForecastAnswer,
  GetPredictiveScalingForecastType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetPredictiveScalingForecastCommandInput
  extends GetPredictiveScalingForecastType {}
export interface GetPredictiveScalingForecastCommandOutput
  extends GetPredictiveScalingForecastAnswer,
    __MetadataBearer {}
export declare class GetPredictiveScalingForecastCommand extends $Command<
  GetPredictiveScalingForecastCommandInput,
  GetPredictiveScalingForecastCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: GetPredictiveScalingForecastCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetPredictiveScalingForecastCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetPredictiveScalingForecastCommandInput,
    GetPredictiveScalingForecastCommandOutput
  >;
  private serialize;
  private deserialize;
}
