import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import { PutWarmPoolAnswer, PutWarmPoolType } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutWarmPoolCommandInput extends PutWarmPoolType {}
export interface PutWarmPoolCommandOutput
  extends PutWarmPoolAnswer,
    __MetadataBearer {}
export declare class PutWarmPoolCommand extends $Command<
  PutWarmPoolCommandInput,
  PutWarmPoolCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: PutWarmPoolCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutWarmPoolCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<PutWarmPoolCommandInput, PutWarmPoolCommandOutput>;
  private serialize;
  private deserialize;
}
