import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  SetInstanceProtectionAnswer,
  SetInstanceProtectionQuery,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface SetInstanceProtectionCommandInput
  extends SetInstanceProtectionQuery {}
export interface SetInstanceProtectionCommandOutput
  extends SetInstanceProtectionAnswer,
    __MetadataBearer {}
export declare class SetInstanceProtectionCommand extends $Command<
  SetInstanceProtectionCommandInput,
  SetInstanceProtectionCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: SetInstanceProtectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SetInstanceProtectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SetInstanceProtectionCommandInput,
    SetInstanceProtectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
