import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  ActivityType,
  TerminateInstanceInAutoScalingGroupType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface TerminateInstanceInAutoScalingGroupCommandInput
  extends TerminateInstanceInAutoScalingGroupType {}
export interface TerminateInstanceInAutoScalingGroupCommandOutput
  extends ActivityType,
    __MetadataBearer {}
export declare class TerminateInstanceInAutoScalingGroupCommand extends $Command<
  TerminateInstanceInAutoScalingGroupCommandInput,
  TerminateInstanceInAutoScalingGroupCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: TerminateInstanceInAutoScalingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TerminateInstanceInAutoScalingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    TerminateInstanceInAutoScalingGroupCommandInput,
    TerminateInstanceInAutoScalingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
